/*
var canvas=document.getElementById("canvas");
var width=screen.width;
var height=screen.height;
canvas.width=screen.width;
canvas.height=screen.height;
*/


var can_click=true;


var renderer = new THREE.WebGLRenderer();
				renderer.setPixelRatio( window.devicePixelRatio );
				renderer.setSize( window.innerWidth, window.innerHeight );
				document.body.appendChild( renderer.domElement );

				labelRenderer = new THREE.CSS2DRenderer();
				labelRenderer.setSize( window.innerWidth, window.innerHeight );
				labelRenderer.domElement.style.position = 'absolute';
				labelRenderer.domElement.style.top = '0px';
				document.body.appendChild( labelRenderer.domElement );


				var camera = new THREE.PerspectiveCamera( 45, window.innerWidth / window.innerHeight, 0.1, 200 );
				camera.position.set( 10, 5, 20 );
				camera.layers.enableAll();
				camera.layers.toggle( 1 );


const controls = new THREE.OrbitControls( camera, labelRenderer.domElement );
controls.minDistance = 5;
controls.maxDistance = 100;


const scene=new THREE.Scene();
const pl1=new THREE.PointLight(0xFEE3B1, 2);
pl1.position.set(-20,20,20);
scene.add(pl1);
const clock=new THREE.Clock();


var vs=[];
var fs=[];
var mesh=[];
var tex=[];
var mat=[];
var bend=[];


mesh["bbb_1"]=new THREE.Mesh(new THREE.BoxBufferGeometry(2,1,2),new THREE.MeshStandardMaterial({color:0xff0000}));
mesh["bbb_1"].position.set(0,0,-4);
mesh["bbb_1"].haveLabel=false;
scene.add(mesh["bbb_1"]);

mesh["bbb_1"].layers.enableAll();


mesh["bbb_2"]=new THREE.Mesh(new THREE.BoxBufferGeometry(2,1,2),new THREE.MeshStandardMaterial({color:0xff0000}));
mesh["bbb_2"].position.set(8,0,-4);
mesh["bbb_1"].haveLabel=false;
scene.add(mesh["bbb_2"]);


mesh["bbb_2"].layers.enableAll();


var hotspots=[mesh["bbb_1"],mesh["bbb_2"]];
var text_count=0;


const raycaster = new THREE.Raycaster();
const pointer = new THREE.Vector2();


document.addEventListener("mousedown",onDocumentMouseDown,false);


function aaa(){


if(can_click){ can_click=false; }
else{ can_click=true; }


}


function onDocumentMouseDown(event){
 console.log();
if(!can_click){ return; }

pointer.x = ( event.clientX / renderer.domElement.clientWidth ) * 2 - 1;
pointer.y = - ( event.clientY / renderer.domElement.clientHeight ) * 2 + 1;
raycaster.setFromCamera( pointer, camera );

const intersects = raycaster.intersectObjects( hotspots );


if(intersects.length>0 ) {
if(intersects[0].object.haveLabel==true){ return; }
text_count++;
var textField = document.createElement('textarea');
textField.className = 'textField';
textField.id = "textField_"+text_count;
textField.addEventListener("mousedown",aaa,false);
var textFieldLabel = new THREE.CSS2DObject(textField);
textFieldLabel.position.set(intersects[0].object.position.x, intersects[0].object.position.y, intersects[0].object.position.z);
scene.add(textFieldLabel);
intersects[0].object.haveLabel=true;


}
   
   
}




function loop(){


requestAnimationFrame(loop);

controls.update()
renderer.render(scene,camera);
labelRenderer.render( scene, camera );

}


loop();
